Name: rekall
Version: 2.3.4
Release: alt0.1pre

Summary: Rekall - database front-end

Group: Office
License: GPL
Url: http://www.rekallrevealed.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.rekallrevealed.org/packages/%name-%version.tar.bz2

Requires: %name-common = %version-%release

%define _desktopdir %_datadir/applications
%define _kdedocdir %_docdir/HTML
%add_python_req_skip Rekall

BuildPreReq: menu-devel

# Automatically added by buildreq on Sat Jun 18 2005
BuildRequires: cvs flex fontconfig freetype2 gcc-c++ ghostscript-classic ghostscript-utils kde-i18n-ru kde-settings kdelibs-devel libMySQL-devel libgpg-error libpq4-devel libqt3-devel libstdc++-devel postgresql8.0-devel python-base python-dev python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging python-modules-xml rcs scons swig tetex-core tetex-dvips tetex-latex xml-utils xsltproc

BuildRequires:	libxbsql-devel libxbase-devel

%description
Rekall is a database front-end, somewhat in the style of MicroSoft(R)
Access(TM). However, Rekall is not itself a database, and does not
include a database. By this we mean that data is stored somewhere else
in an SQL server, and Rekall is fundementaly just a tool to extract,
display and update that data (of course, it does lots more than that,
it does forms and reports and scripting and... you get the idea). It
is database agnostic, and does not have any preferred database in the
sense that Access(TM) uses the Jet database engine (although the
Windows version can use the Jet database engine via an ODBC driver).

Rekall can do lots of the things that you would expect of a database
front-end (or if it can't, let us know!). You can design and use forms
and reports, you can construct database queries, and you can import
and export data (actually, you can copy data, import is just copy file
to table, and export is just copy table to file). You can also create
reusable components which you can use in forms and reports, to reduce
application development time.

Rekall can be scripted using the Python language. You can arrange that
a script is executed when various events occur (for instance, when the
user changes the value of a control). Scripts can be associated
directly with the event, but you can also store scripts in script
modules for more general use. And, of course, you have full access to
all the modules that are available for Python. Plus, Rekall has an
integrated Python debugger with syntax highlighting.

%package common
Summary: Common files for full and runtime version of Rekall
Group: System/Libraries

%description common
Common files for full and runtime version of Rekall.

%package driver-mysql
Summary: MySQL database driver for Rekall
Group: System/Libraries
Requires: %name-common = %version-%release

%description driver-mysql
MySQL database driver for Rekall.

%package driver-pgsql
Summary: PostgreSQL database driver for Rekall
Group: System/Libraries
Requires: %name-common = %version-%release

%description driver-pgsql
PostgreSQL database driver for Rekall.

%package driver-xbase
Summary: XBase/XBSQL database driver for Rekall
Group: System/Libraries
Requires: %name-common = %version-%release

%description driver-xbase
XBase/XBSQL database driver for Rekall.

%package devel
Summary: Header files for Rekall libraries
Group: Development/C
Requires: %name-common = %version-%release

%description devel
Header files for Rekall libraries.

%prep
%setup -q
#%patch0 -p1
subst "s/python2.3/python2.4/g" ./scons/rkScan_Python.py

%build
#%__make -f admin/Makefile.common cvs
cp scons/Makefile .
export KDEDIR=%{prefix}
export PATH=$PATH:$KDEDIR/bin

PYTHONPATH=scons/ python ./scons/rkScanner.py	\
		--enable-debug=yes		\
		--enable-tests=yes		\
		--quick-docs=yes		\
		--prefix=%prefix		\
		--with-qt-dir=/usr/lib/qt-3.3			\
		--mode=kde \
		--enable-runtime \
		--with-pgsql-includes=%prefix/include/pgsql \
		--with-pgsql-libraries=%_libdir \
		--with-python-includes=%prefix/include/python2.4 \
		--with-mysql-libraries=%_libdir \
		--with-qt-libraries=%_libdir \
		--with-xbase-libraries=%_libdir \
		--with-xbsql-libraries=%_libdir

%__make

%install
%__make install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%_kdedocdir

install -d $RPM_BUILD_ROOT%_desktopdir
cp -f kbase/rekall{,rt}.desktop $RPM_BUILD_ROOT%_desktopdir

%__mkdir_p %buildroot%_menudir

freedesktop2menu.pl %name "Applications/Finances" \
	%buildroot%_desktopdir/%name.desktop \
	%buildroot%_menudir/%name

%find_lang %name --with-kde

%post
%post_ldconfig
%update_menus

%postun 
%postun_ldconfig
%clean_menus

%post common -p /sbin/ldconfig
%postun common -p /sbin/ldconfig

%post driver-mysql -p /sbin/ldconfig
%postun driver-mysql -p /sbin/ldconfig

%post driver-pgsql -p /sbin/ldconfig
%postun driver-pgsql -p /sbin/ldconfig

%post driver-xbase -p /sbin/ldconfig
%postun driver-xbase -p /sbin/ldconfig

%files
%doc AUTHORS README.FIRST Release.Notes doc/HOWTO
%_bindir/rekall*
# libraries
%_libdir/libkbase.so
%_libdir/libkbase_app.so
%_libdir/libkbase_wizard.so
#%_libdir/librekall.so
# KDE-like modules
%_libdir/libkbase_componentview.so
%_libdir/libkbase_copierview.so
%_libdir/libkbase_editor.so
%_libdir/libkbase_formview.so
%_libdir/libkbase_macroview.so
%_libdir/libkbase_plugin_extra.so
%_libdir/libkbase_plugin_kde.so
%_libdir/libkbase_queryview.so
%_libdir/libkbase_reportview.so
%_libdir/libkbase_script_py.so
%_libdir/libkbase_el32.so
#%_libdir/libkbase_script_pysys.so
%_libdir/libkbase_tableview.so
# data
#%_datadir/apps/rekall/services/kdeparts.lst
%_datadir/apps/rekall/services/rekall_*.desktop
%_datadir/apps/rekall/stock
%_datadir/apps/rekall/wizards
%_desktopdir/rekall.desktop
%_menudir/*

%files common -f %name.lang
# libraries
%_libdir/libkbase_common.so
#%_libdir/libel_compile.so
#%_libdir/libel_interp.so
%_libdir/libkbase_kde.so
#%_libdir/libkbase_tkwidgets.so
# data
%dir %_datadir/apps/rekall
%_datadir/apps/rekall/gui
%_datadir/apps/rekall/manual
%_datadir/apps/rekall/highlights
#%_datadir/apps/rekall/LICENSE
%_datadir/apps/rekall/dict
%_datadir/apps/rekall/help
#%_datadir/apps/rekall/highlight
%_datadir/apps/rekall/icons
%_datadir/apps/rekall/keymaps
%_datadir/apps/rekall/pics
%_datadir/apps/rekall/rekall.png
#%_datadir/apps/rekall/rekallui.*
%_datadir/apps/rekall/script
%dir %_datadir/apps/rekall/services
%_datadir/apps/rekall/services/rekall_dummy.desktop

#%files runtime
#%_bindir/rekallrt
## libraries
#%_libdir/libkbasert.so
#%_libdir/libkbasert_app.so
#%_libdir/librekallrt.so
## modules
#%_libdir/libkbasert_*.so
## data
#%_datadir/apps/rekall/services/rekallrt_*.desktop
#%_datadir/apps/rekallrt
#%_desktopdir/rekallrt.desktop

%files driver-mysql
%_libdir/libkbase_driver_mysql.so
%_datadir/apps/rekall/services/rekall_driver_mysql.desktop

%files driver-pgsql
%_libdir/libkbase_driver_pgsql.so
%_datadir/apps/rekall/services/rekall_driver_pgsql.desktop

%files driver-xbase
%_libdir/libkbase_driver_xbase.so
%_datadir/apps/rekall/services/rekall_driver_xbase.desktop

%files devel
#%exclude %_libdir/libkbase_driver*.so
#%_libdir/lib*.so
#%_includedir/rekall

%changelog
* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 2.3.4-alt0.1pre
- first build for ALT Linux Sisyphus
- cvs version from 2005-06-18
